# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::LightModel Class Reference

Wraps the OpenGL function glLightModel(), see also http://www.opengl.org/sdk/docs/man/xhtml/glLightModel.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::LightModel:

List of all members.

## Public Member Functions

| LightModel ()
virtual const char * | className ()
| Returns the name of the class.
virtual ERenderState | type () const
virtual void | apply (const Camera *) const
void | setLocalViewer (bool localviewer)
void | setTwoSide (bool twoside)
void | setColorControl (EColorControl colorcontrol)
void | setAmbientColor (fvec4 ambientcolor)
bool | localViewer () const
bool | twoSide () const
EColorControl | colorControl () const
fvec4 | ambientColor () const

## Protected Attributes

fvec4 | mAmbientColor
EColorControl | mColorControl
bool | mLocalViewer
bool | mTwoSide

## Detailed Description

Wraps the OpenGL function glLightModel(), see also http://www.opengl.org/sdk/docs/man/xhtml/glLightModel.xml for more information.

See also:
  Shader, Effect, Actor, vl::EN_LIGHTING

## Constructor & Destructor Documentation

vl::LightModel::LightModel | ( |  | ) | `[inline]`

## Member Function Documentation

virtual const char* vl::LightModel::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::RenderState.

virtual ERenderState vl::LightModel::type | ( |  | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

void LightModel::apply | ( | const Camera * |  | ) | const`[virtual]`

Implements vl::RenderState.

void vl::LightModel::setLocalViewer | ( | bool | localviewer | ) | `[inline]`

void vl::LightModel::setTwoSide | ( | bool | twoside | ) | `[inline]`

void vl::LightModel::setColorControl | ( | EColorControl | colorcontrol | ) | `[inline]`

void vl::LightModel::setAmbientColor | ( | fvec4 | ambientcolor | ) | `[inline]`

bool vl::LightModel::localViewer | ( |  | ) | const`[inline]`

bool vl::LightModel::twoSide | ( |  | ) | const`[inline]`

EColorControl vl::LightModel::colorControl | ( |  | ) | const`[inline]`

fvec4 vl::LightModel::ambientColor | ( |  | ) | const`[inline]`

## Member Data Documentation

fvec4 vl::LightModel::mAmbientColor`[protected]`

EColorControl vl::LightModel::mColorControl`[protected]`

bool vl::LightModel::mLocalViewer`[protected]`

bool vl::LightModel::mTwoSide`[protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Shader.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Shader.cpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:40 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.